org.appng.search.indexer

## Class ParseTags

- java.lang.Object
- - org.appng.search.indexer.ParseTags

-     public class ParseTags
      extends Object

  Utility-class used to parse `<appNG:searchable>`-tags from JSP-files.
  Author:
    Matthias Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParseTags(String tagPrefix)` Creates a new `ParseTags` using the given tag-prefix (usually `appNG`).

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Map<String,StringBuilder>` | `parse(File file)`
    `Map<String,StringBuilder>` | `parse(InputStream is)` Parses the given `InputStream` and returns a `Map` containing the name of a field as a key and a `StringBuilder` (the text content of the `<appNG:searchable>`-tag) as the value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParseTags

          public ParseTags(String tagPrefix)

      Creates a new `ParseTags` using the given tag-prefix (usually `appNG`).
      Parameters:
        `tagPrefix` - the tag prefix

  - ### Method Detail

    - #### parse

          public Map<String,StringBuilder> parse(InputStream is)
                                          throws IOException

      Parses the given `InputStream` and returns a `Map` containing the name of a field as a key and a `StringBuilder` (the text content of the `<appNG:searchable>`-tag) as the value.
      Parameters:
        `is` - the `InputStream`
      Returns:
        the `Map` of fields
      Throws:
        `IOException` - if such an error occurred while reading/parsing the stream

    - #### parse

          protected Map<String,StringBuilder> parse(File file)
                                             throws IOException

      Throws:
        `IOException`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.